Bug 9859 - Серьёзные ошибки в распределении прерываний на IBM TP600E
: Серьёзные ошибки в распределении прерываний на IBM TP600E
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-08 13:25 by
Modified: 2007-02-17 13:32 (History)


Attachments
вывод dmesg на ядре 2.6.16 (14.04 KB, text/plain)
2006-08-08 13:27, Yury Aliaev
no flags Details
Вывод dmesg для ядра 2.4.29 (6.37 KB, text/plain)
2006-08-08 13:28, Yury Aliaev
no flags Details
cat /proc/interrupts для 2.6.16 (485 bytes, text/plain)
2006-08-08 13:28, Yury Aliaev
no flags Details
cat /proc/interrupts для 2.4.29 (511 bytes, text/plain)
2006-08-08 13:29, Yury Aliaev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-08 13:25:06
В ядрах серии 2.6.х (проверялось на std26-up-2.6.16-alt9, wks26-up-2.6.16-alt8
и
wks26-up-2.6.14-каком-то) имеются серьёзные нарушения в распределении
прерывания
для контроллеров usb и PCMCIA на ноутбуке IBM ThinkPad 600E. В результате
подсистема usb на указанных ядрах не работает вообще. Проверку
работоспособности
PCMCIA я не производил. Для сравнения на ядре 2.4.29 назначение прерываний
происходит нормально и подсистема usb работает. Подробности -- в dmesg и
таблице
распределении прерываний.
------- Comment #1 From 2006-08-08 13:27:21 -------
Created an attachment (id=1558) [details]
вывод dmesg на ядре 2.6.16

На ядре 2.6.16-std26-up вывод dmesg в части usb и CardBus полностью аналогичен
------- Comment #2 From 2006-08-08 13:28:13 -------
Created an attachment (id=1559) [details]
Вывод dmesg для ядра 2.4.29
------- Comment #3 From 2006-08-08 13:28:58 -------
Created an attachment (id=1560) [details]
cat /proc/interrupts для 2.6.16
------- Comment #4 From 2006-08-08 13:29:25 -------
Created an attachment (id=1561) [details]
cat /proc/interrupts для 2.4.29
------- Comment #5 From 2006-08-08 17:29:09 -------
Очевидное различие между этими ядрами в том, что в 2.6.x сейчас убрана проверка
года выпуска BIOS при включении режима ACPI - ядро 2.4.29 не использовало ACPI
на этой машине, поскольку там BIOS 1999 года, а 2.6.16-wks26-up-alt8, вывод
dmesg от которого приведён, пытается использовать ACPI.  Возможно, реализация
ACPI в этой версии BIOS действительно содержит слишком много ошибок (в dmesg
несколько раз писалось "BIOS bug" как раз по поводу назначения прерываний).

Для этой модели доступна обновлённая версия BIOS, установка которой, весьма
вероятно, устранит проблемы с прерываниями:

http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=DSHY-46HLKQ

Более того, для версии 1.09 - INET29WW в списке исправлений явно указано:

(Fix) After updating the BIOS, Linux will not boot or can not be installed
properly.

(а в данном случае установлена как раз предыдущая версия INET28WW).

Если по каким-то причинам обновление BIOS нежелательно, можно попробовать
использовать параметры pci=noacpi или acpi=noirq, но есть вероятность, что
придётся отключить ACPI полностью (acpi=off).
------- Comment #6 From 2006-09-04 12:09:42 -------
После обновления BIOS следующая картина: usb стало подниматься без проблем,
однако работает с малой скоростью (большая задержка между вставлением
устройства
и его определением, а также при монтировании). Проблемы с Yenta (по-видимому,
это контроллер PCMCIA) остались. При загрузке с параметром acpi=noirq начинает
нормально работать как usb, так и PCMCIA. Не знаю, можно ли такой результат
считать за fixed?..
------- Comment #7 From 2006-10-10 20:14:19 -------
В std26-2.6.16-alt11 этот ноутбук добавлен в blacklist - для него будет
автоматически ставиться acpi=noirq.
------- Comment #8 From 2007-02-17 13:32:03 -------
*** Bug 9860 has been marked as a duplicate of this bug. ***